using ldap_cesi.DTOs.Inputs.Service;
using ldap_cesi.DTOs.Inputs.Site;
using ldap_cesi.Entities;
using ldap_cesi.Models;

namespace ldap_cesi.Services.Interfaces;

public interface ISiteService
{
    Task<IResponseDataModel<List<Site>>> GetAll();
    Task<IResponseDataModel<Site>> GetById(int id);
    Task<IResponseDataModel<string>> CreateSite(SiteCreateDto siteCreateDto);
    Task<IResponseDataModel<Site>> UpdateSite(SiteUpdateDto siteUpdate);
    Task<IResponseDataModel<string>> DeleteSite(int id);
}